Skip to main content
PUT
/
v1
/
sessions
/
{sessionId}
/
check
Check session
curl --request PUT \
  --url https://api.daimo.com/v1/sessions/{sessionId}/check \
  --header 'Content-Type: application/json' \
  --data '
{
  "clientSecret": "d7a8f3b2e1c94a6db8f0e2a7c3d5b9f1"
}
'
{
  "session": {
    "sessionId": "a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4",
    "status": "processing",
    "destination": {
      "type": "evm",
      "address": "0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045",
      "chainId": 8453,
      "chainName": "Base",
      "tokenAddress": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
      "tokenSymbol": "USDC",
      "amountUnits": "10.00"
    },
    "display": {
      "title": "Deposit to Acme",
      "verb": "Deposit"
    },
    "paymentMethod": {
      "type": "evm",
      "receiverAddress": "0x1234567890abcdef1234567890abcdef12345678",
      "createdAt": 1700000000
    },
    "createdAt": 1700000000,
    "expiresAt": 1700003600
  }
}

Path Parameters

sessionId
string
required

32-character hex session ID

Example:

"a1b2c3d4e5f6a1b2c3d4e5f6a1b2c3d4"

Body

application/json
clientSecret
string
required

Per-session client secret

txHash
string

Transaction hash to hint for faster detection

Response

Session status

session
object
required